Job Positions
List job positions (v2)
Lists job positions with optional q, iscoGroup, and externalId filters. When _cursor is provided, cursor mode is used; otherwise offset mode is used.
GET
/
v2
/
public
/
job-positions
List job positions (v2)
curl --request GET \
--url https://api.agile-tools.io/v2/public/job-positions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.agile-tools.io/v2/public/job-positions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.agile-tools.io/v2/public/job-positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v2/public/job-positions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v2/public/job-positions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agile-tools.io/v2/public/job-positions")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v2/public/job-positions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3f4b5c6d-0000-0000-0000-000000000001",
"name": "Senior Software Engineer",
"externalId": "JOB_POSITION_SSE",
"global": false
}
],
"meta": {
"pagination": {
"mode": "offset",
"totalCount": 1,
"page": 0,
"limit": 25,
"totalPages": 1,
"hasNext": false,
"hasPrevious": false
}
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I
List job positions (v2)
curl --request GET \
--url https://api.agile-tools.io/v2/public/job-positions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.agile-tools.io/v2/public/job-positions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.agile-tools.io/v2/public/job-positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v2/public/job-positions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v2/public/job-positions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agile-tools.io/v2/public/job-positions")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v2/public/job-positions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3f4b5c6d-0000-0000-0000-000000000001",
"name": "Senior Software Engineer",
"externalId": "JOB_POSITION_SSE",
"global": false
}
],
"meta": {
"pagination": {
"mode": "offset",
"totalCount": 1,
"page": 0,
"limit": 25,
"totalPages": 1,
"hasNext": false,
"hasPrevious": false
}
}
}
